Redmine - Patch #20063

Add "issue#<number>" syntax for issue links
2015-06-10 11:50 - Olivier Houdas

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Description

For most Redmine items (news, documents, wiki articles...), the link displays the title as the link's text, and follows the syntax:
news#<number>, document#<number>, etc.

For issues, the only syntax is simply #<number>, and shows the issue number as the link's text.

This patch adds the syntax issue#<number>, and will display the bug title followed by the bug status as the link text.
The patch does not remove anything, it only adds a new syntax.

Related issues:

Related to Redmine - Feature #26465: Make the format of issue links configurable New
Related to Redmine - Patch #29488: ##123 syntax for linking to issues with tr... Closed
History

#1 - 2015-07-09 14:05 - Toshi MARUYAMA

- Category changed from Issues to Text formatting

#2 - 2017-07-13 11:38 - Olivier Houdas
- File 20063-Redmine-3.4.1.patch added

Here is the patch for Redmine 3.4.1

#3 - 2017-07-14 07:21 - Go MAEDA

- File issue-link-sample.png added

Interesting feature. | think this patch makes Redmine links more consistent.
Here is an example. "issue#14" is converted as follows:

#14: (Bug) Private issue on public project (New)

#4 - 2017-07-14 16:00 - Fernando Hartmann

+1

#5 - 2017-07-15 13:19 - Marius BALTEANU

| agree that supporting the issue#id is a good idea and will make redmine links more consistent, but I'm not sure that is a good idea to have different
formats for displaying the issue title. Maybe is better to have a setting to choose the issue title format (like we have for users).

#6 - 2017-07-18 08:15 - Olivier Houdas

Marius lonescu: I'm not sure what you mean by "to have different formats for displaying the issue title".

The added format is simply putting the link title of the #<number> tooltip into the link text itself when using issue#<number>. There is no change of
format, apart a colon replaced by brackets to avoid colon repetition:

#14 -> link text "14" with tooltip: "Bug: Private issue on public project (New)"

issue#14 -> link text "14: (Bug) Private issue on public project (New)" with no tooltip

#7 - 2017-07-18 09:41 - Robert Schneider

+1

| have created another issue for the format thing: #26465. Would you mind considering this as well?

2024-03-08 1/2



https://www.redmine.org/users/27597
https://www.redmine.org/issues/14
https://www.redmine.org/issues/26465

#8 - 2017-07-18 09:50 - Marius BALTEANU

Olivier Houdas wrote:
Marius lonescu: I'm not sure what you mean by "to have different formats for displaying the issue title".
The added format is simply putting the link title of the #<numbers> tooltip into the link text itself when using issue#<number>. There is no change
of format, apart a colon replaced by brackets to avoid colon repetition:

Exactly what you said, having different formats for issue links depending on the syntax used:

#14 -> link text "14" with tooltip: "Bug: Private issue on public project (New)"
issue#14 -> link text "14: (Bug) Private issue on public project (New)" with no tooltip

#9 - 2017-07-18 10:02 - Marius BALTEANU

Robert Schneider wrote:
+1

| have created another issue for the format thing: #26465. Would you mind considering this as well?

In my opinion, | think it is better to track the format change in a new issue.

#10 - 2017-07-18 10:25 - Robert Schneider

In my opinion, | think it is better to track the format change in a new issue.

Isn't #26465 a new issue?

#11 - 2017-07-18 15:00 - Olivier Houdas

Well, you have the short display (with #<nb>) and the extended display (with issue#<nb>). | don't see why it should be an issue to add the possibility
to have a new formatting.

At least, in my company, I've implemented this patch for more than 2 years now, and both forms are used alternatively by users, depending on what
they need, and nobody ever complained about being mislead by the two syntaxes.

#12 - 2017-07-19 08:39 - Robert Schneider

Okay, it's just a patch. Of course, the format can be changed. | just thought that it may finds its way into Redmine and then it would have been nice if
the Redmine settings could offer an option for that.

#13 - 2017-08-04 16:52 - Toshi MARUYAMA
- Related to Feature #26465: Make the format of issue links configurable added

#14 - 2018-09-10 22:30 - Marius BALTEANU
- Related to Patch #29488: ##123 syntax for linking to issues with tracker name and subject added

#15 - 2018-09-10 22:30 - Marius BALTEANU

In #29488 is introduced a new syntax for linking to issues that includes tracker name and subject.
